module GeneratedRegressionTestData exposing (..)

import RegressionTest.Runner exposing (UpdateFunctionTestData)


testData : List UpdateFunctionTestData
testData =
    [ { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    1\n  ],\n  \"purses\": [\n    0,\n    3\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    7,\n    5\n  ],\n  \"purses\": [\n    1,\n    1\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    7,\n    6\n  ],\n  \"purses\": [\n    9,\n    3\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    1,\n    8\n  ],\n  \"purses\": [\n    1,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    5,\n    3\n  ],\n  \"purses\": [\n    2,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    8,\n    11\n  ],\n  \"purses\": [\n    3,\n    7\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    1,\n    10\n  ],\n  \"purses\": [\n    0,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    4,\n    0\n  ],\n  \"purses\": [\n    3,\n    2\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    8,\n    0\n  ],\n  \"purses\": [\n    6,\n    3\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    4,\n    1\n  ],\n  \"purses\": [\n    1,\n    1\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    4\n  ],\n  \"purses\": [\n    5,\n    2\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    6\n  ],\n  \"purses\": [\n    2,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    5,\n    9\n  ],\n  \"purses\": [\n    2,\n    1\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    1\n  ],\n  \"purses\": [\n    2,\n    2\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    1,\n    4\n  ],\n  \"purses\": [\n    3,\n    4\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    8\n  ],\n  \"purses\": [\n    5,\n    1\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    8\n  ],\n  \"purses\": [\n    0,\n    3\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    3,\n    3\n  ],\n  \"purses\": [\n    6,\n    5\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    4,\n    5\n  ],\n  \"purses\": [\n    2,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    5,\n    8\n  ],\n  \"purses\": [\n    0,\n    2\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    3,\n    6\n  ],\n  \"purses\": [\n    1,\n    4\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    5,\n    5\n  ],\n  \"purses\": [\n    1,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    4,\n    5\n  ],\n  \"purses\": [\n    2,\n    2\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    3\n  ],\n  \"purses\": [\n    3,\n    6\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    7,\n    10\n  ],\n  \"purses\": [\n    4,\n    4\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    1,\n    8\n  ],\n  \"purses\": [\n    7,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    7,\n    9\n  ],\n  \"purses\": [\n    2,\n    2\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    7,\n    8\n  ],\n  \"purses\": [\n    0,\n    4\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    9,\n    11\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    7,\n    3\n  ],\n  \"purses\": [\n    4,\n    2\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    6\n  ],\n  \"purses\": [\n    6,\n    6\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": false\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    4,\n    9\n  ],\n  \"purses\": [\n    0,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    4,\n    7\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    5,\n    11\n  ],\n  \"purses\": [\n    1,\n    3\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    7\n  ],\n  \"purses\": [\n    6,\n    4\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": false\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    1,\n    6\n  ],\n  \"purses\": [\n    3,\n    4\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    6\n  ],\n  \"purses\": [\n    2,\n    4\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    3\n  ],\n  \"purses\": [\n    4,\n    3\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    4,\n    7\n  ],\n  \"purses\": [\n    6,\n    6\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": false\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    3\n  ],\n  \"purses\": [\n    2,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    9,\n    10\n  ],\n  \"purses\": [\n    4,\n    1\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    9\n  ],\n  \"purses\": [\n    4,\n    5\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    3,\n    5\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    3,\n    11\n  ],\n  \"purses\": [\n    1,\n    0\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    8,\n    0\n  ],\n  \"purses\": [\n    4,\n    1\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    11\n  ],\n  \"purses\": [\n    4,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    9\n  ],\n  \"purses\": [\n    0,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    3,\n    8\n  ],\n  \"purses\": [\n    0,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    3,\n    5\n  ],\n  \"purses\": [\n    3,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    8,\n    0\n  ],\n  \"purses\": [\n    1,\n    3\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    1\n  ],\n  \"purses\": [\n    5,\n    3\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    4\n  ],\n  \"purses\": [\n    1,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    1\n  ],\n  \"purses\": [\n    6,\n    6\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": false\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    8\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    8,\n    3\n  ],\n  \"purses\": [\n    4,\n    7\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    3,\n    11\n  ],\n  \"purses\": [\n    0,\n    2\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    7,\n    6\n  ],\n  \"purses\": [\n    2,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    7\n  ],\n  \"purses\": [\n    2,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    8,\n    10\n  ],\n  \"purses\": [\n    2,\n    1\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    9,\n    7\n  ],\n  \"purses\": [\n    2,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    4,\n    10\n  ],\n  \"purses\": [\n    2,\n    3\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    9\n  ],\n  \"purses\": [\n    10,\n    3\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    7\n  ],\n  \"purses\": [\n    6,\n    4\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    1,\n    8\n  ],\n  \"purses\": [\n    0,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    7,\n    2\n  ],\n  \"purses\": [\n    3,\n    1\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    9\n  ],\n  \"purses\": [\n    8,\n    5\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    8,\n    0\n  ],\n  \"purses\": [\n    2,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    9,\n    3\n  ],\n  \"purses\": [\n    2,\n    3\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    6,\n    3\n  ],\n  \"purses\": [\n    4,\n    2\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    1,\n    10\n  ],\n  \"purses\": [\n    1,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    4,\n    2\n  ],\n  \"purses\": [\n    4,\n    7\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    10\n  ],\n  \"purses\": [\n    1,\n    2\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": true,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    7,\n    9\n  ],\n  \"purses\": [\n    4,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    4,\n    1\n  ],\n  \"purses\": [\n    0,\n    1\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    1,\n    3\n  ],\n  \"purses\": [\n    4,\n    4\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    5,\n    5\n  ],\n  \"purses\": [\n    9,\n    4\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    9,\n    10\n  ],\n  \"purses\": [\n    3,\n    3\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    5\n  ],\n  \"purses\": [\n    1,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    true\n  ],\n  \"popQuestions\": [\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    2,\n    9\n  ],\n  \"purses\": [\n    6,\n    10\n  ],\n  \"inPenaltyBox\": [\n    true,\n    false\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 1,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": false\n}"
      }
    , { initialModel =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    0,\n    0\n  ],\n  \"purses\": [\n    0,\n    0\n  ],\n  \"inPenaltyBox\": [\n    false,\n    false\n  ],\n  \"popQuestions\": [\n    \"Pop Question 1\",\n    \"Pop Question 2\",\n    \"Pop Question 3\",\n    \"Pop Question 4\",\n    \"Pop Question 5\"\n  ],\n  \"scienceQuestions\": [\n    \"Science Question 1\",\n    \"Science Question 2\",\n    \"Science Question 3\",\n    \"Science Question 4\",\n    \"Science Question 5\"\n  ],\n  \"sportsQuestions\": [\n    \"Sports Question 1\",\n    \"Sports Question 2\",\n    \"Sports Question 3\",\n    \"Sports Question 4\",\n    \"Sports Question 5\"\n  ],\n  \"rockQuestions\": [\n    \"Rock Question 1\",\n    \"Rock Question 2\",\n    \"Rock Question 3\",\n    \"Rock Question 4\",\n    \"Rock Question 5\"\n  ],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      , messages =
          [ "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 2,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 4,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 3,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 6,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": true\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 1,\n  \"didWin\": false\n}"
          , "{\n  \"type\": \"NewTurn\"\n}"
          , "{\n  \"type\": \"DiceRolled\",\n  \"rollValue\": 5,\n  \"didWin\": false\n}"
          ]
      , expectedOutput =
          "{\n  \"players\": [\n    \"Chet\",\n    \"cynthia\"\n  ],\n  \"places\": [\n    3,\n    1\n  ],\n  \"purses\": [\n    4,\n    2\n  ],\n  \"inPenaltyBox\": [\n    true,\n    true\n  ],\n  \"popQuestions\": [],\n  \"scienceQuestions\": [],\n  \"sportsQuestions\": [],\n  \"rockQuestions\": [],\n  \"currentPlayer\": 0,\n  \"isGettingOutOfPenaltyBox\": false,\n  \"wasCorrectlyAnswered\": false,\n  \"notAWinner\": true\n}"
      }
    ]
